# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libqt4-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ascii-design
Version:        1.1.1
Release:        alt1_5
Summary:        A tool to create ascii arts
License:        GPLv2
Group:          Office
URL:            http://ascii-design.sourceforge.net
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/Ascii-Design%%20%{version}/%{name}-%{version}.tar.bz2
Patch0:         ascii-design-1.0.3-mga-figlet-fonts-path.patch
BuildRequires:  qt5-base-devel
BuildRequires:  desktop-file-utils
Requires:       figlet
Requires:     figlet-more-fonts
Source44: import.info

%description
Ascii Design is a free program, based on figlet engine,
that enables you to create awesome ascii art text.
You can create art based text for many types of decorations
for web sites, e-mail, text files etc...
Ascii Design is able to use dozens of special fonts to
create various styles of ascii arts.
                _ _           _           _
  __ _ ___  ___(_|_)       __| | ___  ___(_) __ _ _ __
 / _` / __|/ __| | |_____ / _` |/ _ \/ __| |/ _` | '_ \
| (_| \__ \ (__| | |_____| (_| |  __/\__ \ | (_| | | | |
 \__,_|___/\___|_|_|      \__,_|\___||___/_|\__, |_| |_|
                                            |___/

%prep
%setup -q
%patch0 -p1


%build
%qmake_qt5
%make_build

%install
install -pDm755 bin/%{name} %{buildroot}%{_bindir}/%{name}
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    other/%{name}.desktop

install -pDm644 pics/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.1.1-alt1_5
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_4
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_2
- update by mgaimport

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_1
- new version

